*** ** * ** ***

The NonceRequest is used to store information about the request for a nonce.

| Constructors ||
|---|---|
| `https://developers.google.com/ad-manager/pal/html5/reference/class/goog.pal.NonceRequest#goog.pal.NonceRequest.constructor` |   |

| Properties ||
|---|---|
| `https://developers.google.com/ad-manager/pal/html5/reference/class/goog.pal.NonceRequest#goog.pal.NonceRequest.adWillAutoPlay` | Set to true if the ad auto play without waiting for user interaction. |
| `https://developers.google.com/ad-manager/pal/html5/reference/class/goog.pal.NonceRequest#goog.pal.NonceRequest.adWillPlayMuted` | Set to true if the ad play while muted. |
| `https://developers.google.com/ad-manager/pal/html5/reference/class/goog.pal.NonceRequest#goog.pal.NonceRequest.continuousPlayback` | Set to true if the player intends to continuously play the content videos one after another similar to TV broadcast or video playlist. |
| `https://developers.google.com/ad-manager/pal/html5/reference/class/goog.pal.NonceRequest#goog.pal.NonceRequest.descriptionUrl` | The description URL of the content during which the ad plays. |
| `https://developers.google.com/ad-manager/pal/html5/reference/class/goog.pal.NonceRequest#goog.pal.NonceRequest.iconsSupported` | **Deprecated.**Whether VAST icons are supported by the video player. |
| `https://developers.google.com/ad-manager/pal/html5/reference/class/goog.pal.NonceRequest#goog.pal.NonceRequest.nonceLengthLimit` | The length limit of the generated nonce. |
| `https://developers.google.com/ad-manager/pal/html5/reference/class/goog.pal.NonceRequest#goog.pal.NonceRequest.omidPartnerName` | The name of the partner integrating OMID measurement. |
| `https://developers.google.com/ad-manager/pal/html5/reference/class/goog.pal.NonceRequest#goog.pal.NonceRequest.omidPartnerVersion` | The version of the partner integrating OMID measurement. |
| `https://developers.google.com/ad-manager/pal/html5/reference/class/goog.pal.NonceRequest#goog.pal.NonceRequest.playerType` | The partner provided player type. |
| `https://developers.google.com/ad-manager/pal/html5/reference/class/goog.pal.NonceRequest#goog.pal.NonceRequest.playerVersion` | The partner provided player version. |
| `https://developers.google.com/ad-manager/pal/html5/reference/class/goog.pal.NonceRequest#goog.pal.NonceRequest.ppid` | The publisher provided ID. |
| `https://developers.google.com/ad-manager/pal/html5/reference/class/goog.pal.NonceRequest#goog.pal.NonceRequest.sessionId` | The session ID is a temporary random ID. |
| `https://developers.google.com/ad-manager/pal/html5/reference/class/goog.pal.NonceRequest#goog.pal.NonceRequest.skippablesSupported` | Determines if the video player supports VAST skippable ads. |
| `https://developers.google.com/ad-manager/pal/html5/reference/class/goog.pal.NonceRequest#goog.pal.NonceRequest.supportedApiFrameworks` | An array of supported API frameworks. |
| `https://developers.google.com/ad-manager/pal/html5/reference/class/goog.pal.NonceRequest#goog.pal.NonceRequest.url` | The URL to which the ads are targeting. |
| `https://developers.google.com/ad-manager/pal/html5/reference/class/goog.pal.NonceRequest#goog.pal.NonceRequest.videoHeight` | The height of the ad video element. |
| `https://developers.google.com/ad-manager/pal/html5/reference/class/goog.pal.NonceRequest#goog.pal.NonceRequest.videoWidth` | The width of the ad video element. |

## Constructors

*** ** * ** ***

### constructor

`new NonceRequest(): https://developers.google.com/ad-manager/pal/html5/reference/class/goog.pal.NonceRequest`

| Returns ||
|---|---|
| `https://developers.google.com/ad-manager/pal/html5/reference/class/goog.pal.NonceRequest` |   |

## Properties

*** ** * ** ***

### adWillAutoPlay

`adWillAutoPlay: boolean` Set to true if the ad auto play without waiting for user interaction. Set to false if the ad waits for user interaction to start playback.

*** ** * ** ***

### adWillPlayMuted

`adWillPlayMuted: boolean` Set to true if the ad play while muted. Set to false if the ad plays unmuted.

*** ** * ** ***

### continuousPlayback

`continuousPlayback: boolean` Set to true if the player intends to continuously play the content videos one after another similar to TV broadcast or video playlist. Set to false otherwise.

*** ** * ** ***

### descriptionUrl

`descriptionUrl: string` The description URL of the content during which the ad plays. Any description URL string longer than 500 characters is ignored and excluded from the nonce.

*** ** * ** ***

### iconsSupported

`iconsSupported: boolean` Whether VAST icons are supported by the video player.

> [!WARNING]
> **Deprecated:** PAL SDK ignores this property and the associated `wta=` request parameter. Your video player must display VAST icons included in ads served by Google. For details, see [AdChoices icon and overlay](https://developers.google.com/ad-manager/pal/html5/wta).

*** ** * ** ***

### nonceLengthLimit

`nonceLengthLimit: number` The length limit of the generated nonce. The `loadNonceManager` promise is rejected if the nonce is longer than this limit. Defaults to the largest possible integer. Choosing a shorter length limit may cause various targeting properties to be excluded from the nonce.

*** ** * ** ***

### omidPartnerName

`omidPartnerName: string` The name of the partner integrating OMID measurement. PAL ignores any partner name string longer than 200 characters and excludes it from the nonce.  

The partner name must match the name supplied to the OM SDK for the ad session. For further details, see the [Open Measurement
(OM) SDK](https://iabtechlab.com/standards/open-measurement-sdk/).   

To successfully include the `omid_p=` value in a nonce, both this `omidPartnerVersion` and `omidPartnerName` must be set.

*** ** * ** ***

### omidPartnerVersion

`omidPartnerVersion: string` The version of the partner integrating OMID measurement. Any partner version string longer than 200 characters is ignored and excluded from the nonce.  

This must match the string supplied to the OM SDK for the ad session.  

To successfully include the `omid_p=` value in a nonce, both this `omidPartnerVersion` and `omidPartnerName` must be set.

*** ** * ** ***

### playerType

`playerType: string` The partner provided player type. Use this property to specify the name of the partner player. Any player type string longer than 200 characters is ignored and excluded from the nonce.

*** ** * ** ***

### playerVersion

`playerVersion: string` The partner provided player version. Use this property to specify the version of the partner player. Any player version string longer than 200 characters is ignored and excluded from the nonce.

*** ** * ** ***

### ppid

`ppid: string` The publisher provided ID. Any PPID longer than 200 characters is ignored and excluded from the nonce.

*** ** * ** ***

### sessionId

`sessionId: string` The session ID is a temporary random ID. It is used exclusively for frequency capping on connected TVs (smart TVs, game consoles, and set-top-boxes). A session ID must be a UUID.

*** ** * ** ***

### skippablesSupported

`skippablesSupported: boolean` Determines if the video player supports VAST skippable ads.

*** ** * ** ***

### supportedApiFrameworks

`supportedApiFrameworks: number[]` An array of supported API frameworks. These values are defined in the AdCOM 1.0 "API Frameworks" list. Example: `[2, 7, 9]` indicates this player supports VPAID 2.0, OMID 1.0, and SIMID 1.1.

*** ** * ** ***

### url

`url: string` The URL to which the ads are targeting. By default, this is the same as the page that displays the ads, but it may be set manually.

*** ** * ** ***

### videoHeight

`videoHeight: number` The height of the ad video element.

*** ** * ** ***

### videoWidth

`videoWidth: number` The width of the ad video element.